/* -*- Mode: C++; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 4 -*- */
#ifndef IMXMLUTIL_HH_
#define IMXMLUTIL_HH_

#include "IMLEXMLConf.hh"

class IMXMLModifier : public IMLEXMLConf {
public:
    bool dumpconf(string &file);
    bool appendmodule(string &modulename, string &language) {
	return le_list.appendmodule(modulename, language);
    }
    bool prependmodule(string &modulename, string &language) {
	return le_list.prependmodule(modulename, language);
    }
    bool removemodule(string &modulename, string &language) {
	return le_list.removemodule(modulename, language);
    }
    bool appendhotkey(IMKeySpec hotkey, string &modulename) {
	return le_list.appendhotkey(hotkey, modulename);
    }
    bool removehotkey(IMKeySpec hotkey, string &modulename) {
	return le_list.removehotkey(hotkey, modulename);
    }
    bool clearhotkey(string &modulename) {
	return le_list.clearhotkey(modulename);
    }
    IMXMLModifier(const char *conffile) : IMLEXMLConf(conffile) {}
};

#endif /* IMXMLUTIL_HH_ */
